jQuery(function(t) {
	// Backbone model, collection and views
	if (Product = Backbone.Model.extend({
			defaults: {
				"updating": false
			}
		}),
		Products = Backbone.Collection.extend({
			parse: function(t) {
				return this.url = t.products
			},
			model: Product,
		}),
		ProductView = Backbone.View.extend({
			tagName: "div",
			className: "fdoe-item",
			isUpdating: !1,
			initialize: function() {
				this.$el.addClass(fdoe.layout), this.$el.addClass('cat_id_' + this.model.get("product_category")), this.$el.attr("id", "fdoe_item_" + this.model.get("id")), this.$el.attr("role", "button"), this.$el.attr("data-toggle", "modal"), /*this.$el.attr("data-product",this.model.get("id"),*/ this.$el.attr("data-target", "#myModal_" + this.model.get("parent_id")), this.model.get("in_stock") || this.$el.addClass("fdoe_no_stock"), this.template = _.template(t("#productTemplate").html()), this.model.set("original_price", this.model.get("price"))
			},
			render: function() {
				var t = _.extend(this.model.attributes, {});
				return this.$el.html(this.template(t)), this
			},
		}),
		ProductListView = Backbone.View.extend({
			el: ".fdoe-products",
			initialize: function() {
				this.render(), this.listenTo(this.collection, "add", this.addOne), this.listenTo(this.collection, "reset", this.reset)
			},
			render: function() {
				this.collection.forEach(this.addOne, this);
			},
			reset: function() {
				this.$el.find("div.fdoe-item").remove(), this.render()
			},
			addOne: function(e) {
				var o = new ProductView({
					model: e
				});
				t('.fdoe').append(o.render().el);
			}
		}),
		"undefined" != typeof Food_Online_Items) {
		t(".woocommerce-pagination").hide();
		var i = new Products;
		new ProductListView({
			collection: i
		});
		i.add(Food_Online_Items.products);
		jQuery('.fdoe').fadeIn(400);
	}
});
// Other front end functionality
jQuery(document).ready(function($) {
	var del_is_ok;
	$('.entry-summary').addClass('fdoe_summary_class');
	//hide product modal after added to cart
	$('.product-modal').off().on('shown.bs.modal', function(e) {
		$('.single_add_to_cart_button').click(function(e) {
			//$(".modal.product-modal").modal2("hide");
		});
	});
	$('#cart_modal').off().on('show.bs.modal', function(e) {
		$(".modal.product-modal").modal2("hide");
	});
	$('body').on('added_to_cart', function(e) {
		$(".added_to_cart.wc-forward").addClass('hide');
	});
	// Ajax add to cart from the product page. Update mini cart.
	var $fdoe_fragment_refresh = {
		url: wc_cart_fragments_params.wc_ajax_url.toString().replace('%%endpoint%%', 'get_refreshed_fragments'),
		type: 'POST',
		success: function(data) {
			if (data && data.fragments) {
				$.each(data.fragments, function(key, value) {
					$(key).replaceWith(value);
				});
				$(document.body).trigger('wc_fragments_refreshed');
				$('.fdoe_mini_cart').html(data.fragments['div.widget_shopping_cart_content']);
				$('.fdoe_mini_cart_2').html(data.fragments['div.widget_shopping_cart_content']);
			}
		}
	};

	function fdoe_add_to_cart_init() {
		jQuery('.single_add_to_cart_button').click(function(e) {
			$.blockUI({
				/* theme: true,*/
				baseZ: 9000,
				message: ""
			});
			// Ajax add to cart on the product page
			var $form = $(this).closest('form');
			jQuery.ajax({
				url: fdoe.wc_ajax_url.replace('%%endpoint%%', 'ajaxfdoe_add'),
				// async: false,
				method: "POST",
				data: $form.serialize()
			}).success(function(response) {
				$.ajax($fdoe_fragment_refresh);
			}).done(function() {
				$(".modal.product-modal").modal2("hide");
				$.unblockUI();
			});
		});
	}
	$('.entry-summary form.cart').on('submit', function(e) {
		e.preventDefault();
	});
	// Hide cart modal on checkout
	$(document).on('click', '#checkout_button_1', function(e) {
		$("#cart_modal").modal2('hide');
	});
	// Toggle class on clicked remove button
	$(document).on('click', 'a.fdoe_remove', function(event) {
		$(this).parents('.popover').addClass('fdoe_clicked');
	});
	// Update mini cart on item removal
	$(document.body).on('removed_from_cart', function(event) {
		$.ajax($fdoe_fragment_refresh);
	});
	// Add items to menu categories
	function fdoe_add_cats() {
		var check_cat;
		var www = fdoe.cats;
		for (index = 0; index < www.length; ++index) {
			$('.fdoe-item').each(function() {
				if ($(this).hasClass('cat_id_' + www[index].cat_ID)) {
					$(this).appendTo('#' + www[index].cat_ID);
				}
			});
		}
		$('.fdoe-item').each(function() {
			if ($(this).parent().hasClass('fdoe')) {
				$(this).detach();
			}
		});
	}
	// Remove empty menu categories show them
	function fdoe_remove_cats() {
		jQuery('.fdoe-products > div.cat_tbody').each(function() {
			if (!jQuery(this).hasClass('cat_tbody')) {
				jQuery(this).remove();
			}
			if (jQuery('div', $(this)).length === 1) {
				var cat_id = $(this).attr('id');
				jQuery(this).remove();
				$('#heading_' + cat_id).remove();
			}
			$(this).show();
		});
		if ($('ul#menu_headings li').length > 0) {
			$('.fdoe-item-icon').css("color", fdoe.menu_color);
			$('.fdoe-menu-title-icon').css("color", fdoe.menu_color);
			$('#menu_headings  a').css("color", fdoe.menu_color);
			if ($('ul#menu_headings li').length == 1) {
				$("#menu_headings").hide();
			}
		}
	}
	fdoe_add_cats();
	fdoe_remove_cats();
	$.ajax($fdoe_fragment_refresh);
	$('input.qty').addClass(' features-form');
	/* CSS Modifications */
	if (fdoe.fdoe_popup_image == 'no') {
		$('.fdoe_summary_class').css("float", 'none');
	}
	/* Detach the Woocommerce products Header */
	$('.woocommerce-products-header').detach();
	// Layout options CSS
	if (fdoe.layout == 'fdoe_twocols') {
		$(".fdoe-item  .flex-container-row").append("<div class='fdoe_aggregate_row'></div>");
		jQuery('.fdoe-item  .flex-container-row .fdoe_thumb').each(function() {
			$(this).parent().find('.fdoe_aggregate_row').append($(this));
		});
		jQuery('.fdoe-item  .flex-container-row .fdoe_item_price').each(function() {
			$(this).parent().find('.fdoe_aggregate_row').append($(this));
		});
		jQuery('.fdoe-item  .flex-container-row .fdoe_add_item').each(function() {
			$(this).parent().find('.fdoe_aggregate_row').append($(this));
		});
		$('.fdoe_aggregate_row').wrap("<div class='fdoe_second_row'></div>");
		jQuery('.fdoe-item  .flex-container-row .fdoe_aggregate_row').each(function() {
			$(this).find('.fdoe_add_price_item').wrapAll("<span class='fdoe_price_and_add'></div>");
		});
		$('.fdoe_summary').css("margin-right", 'unset');
		$('.fdoe_title').css("text-align", 'center');
		$('.flex-container-row').css("align-items", 'unset');
		$('.flex-container-row').css("flex-direction", 'column');
		$('.fdoe_summary').css("order", '0');
		$(".fdoe_aggregate_row").css("order", '1');
		//$('.fdoe-item').toggleClass('fdoe_twocols');
		if (fdoe.fdoe_show_images == 'hide') {
			$(".fdoe_aggregate_row").css("justify-content", 'space-around');
		}
		if (fdoe.fdoe_item_border == 'hide') {
			$(".fdoe_aggregate_row").css("justify-content", 'space-around');
		}
	} else {
		jQuery('.fdoe-item  .flex-container-row ').each(function() {
			$(this).find('.fdoe_add_price_item').wrapAll("<span class='fdoe_price_and_add_onecol'></div>");
		});
		$('.fdoe-item').css("border-bottom", '1px dashed #ddd');
	}
	$('.fdoe-item').toggleClass('fdoe-border-' + fdoe.fdoe_item_separator);
	//
	// Hide Minicart option
	if (fdoe.hide_minicart == 'yes') {
		jQuery("#fdoe-left-container").toggleClass('col-xs-12 col-sm-9 col-lg-9', false);
		jQuery("#fdoe-left-container").toggleClass('col-xs-11 col-sm-11 col-lg-11', true);
		jQuery("#fdoe-right-container").remove();
		jQuery('.fdoe_extra_checkout').css('display', 'block');
	} else {
		jQuery("#fdoe-right-container").show();
	}
	// Theme fixes for known problem with certain Themes
	if (fdoe.theme == 'Bridge' || fdoe.theme_parent == 'Bridge') {
		$('.fdoe-modal').on('shown.bs.modal', function(e) {
			$('body').addClass('fdoe-modal-open');
		});
		$('.fdoe-modal').on('hidden.bs.modal', function(e) {
			$('body').removeClass('fdoe-modal-open');
		});
	}
	// Readjust modal
	$('.fdoe-modal').on('shown.bs.modal', function() {
		$(this).modal2('handleUpdate');
	});
	// Run init functions
	fdoe_add_to_cart_init();
	$('#myModalfeatured').on('shown.bs.modal', function() {
		fdoe_add_to_cart_init();
	});
});
