<?php
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
if ( !class_exists( 'Food_Online_Settings' ) ){
    // Adds the plugin settings tab to the WooCommerce settings page
    function Food_Online_Add_Tab()
    {
         /**
		 * Class Food_Online_Settings
		 *
		 * @since 1.0
		 */
        class Food_Online_Settings extends WC_Settings_Page
        {
            // The constructor
            public function __construct()
            {
                $this->id    = 'fdoe';
                $this->label = __( 'Food Online', Food_Online::TEXT_DOMAIN );
                add_filter( 'woocommerce_settings_tabs_array', array(
                     $this,
                    'add_settings_page'
                ), 20 );
                add_action( 'woocommerce_settings_' . $this->id, array(
                     $this,
                    'output'
                ) );
                add_action( 'woocommerce_settings_save_' . $this->id, array(
                     $this,
                    'save'
                ) );
                add_action( 'woocommerce_sections_' . $this->id, array(
                     $this,
                    'output_sections'
                ) );
                add_action( 'woocommerce_admin_field_layout', array(
                     $this,
                    'fdoeorder_admin_field_layout'
                ) );
                add_filter( 'woocommerce_admin_settings_sanitize_option', array(
                     $this,
                    'sanitize_callback'
                ), 10, 3 );
				add_action('admin_notices', array( $this, 'premium_admin_notice'));
            }
		   function premium_admin_notice(){
    if ( isset ($_GET['tab']) && $_GET['tab'] == 'fdoe' ) {
         echo '<div class="notice notice-success is-dismissible">
            <div class="fdoe_premium">
            	<table>
                	<tbody><tr>
                    	<td width="70%">
                        	<p style="font-size:1.3em"><strong><i>Food Online Premium </i></strong>provides more features</p>
                            <ul class="fa-ul" id="fdoe_premium_ad">
								<li ><span class="fa-li" ><i class="fas fa-check" style="color:green"></i></span>	Display more than 50 Menu Items</li>
                            	<li ><span class="fa-li" ><i class="fas fa-check" style="color:green"></i></span>	Delivery or Pick-Up selector at Menu page</li>
                                <li> <span class="fa-li" ><i class="fas fa-check" style="color:green"></i></span>	Delivery addresses validation with Google Maps & Minimum order value for delivery</li>
                                <li ><span class="fa-li" ><i class="fas fa-check" style="color:green"></i></span>	Decide which categories to show in Menu</li>
								<li ><span class="fa-li" ><i class="fas fa-check" style="color:green"></i></span>	Decide the order of categories in Menu</li>
                                <li ><span class="fa-li" ><i class="fas fa-check" style="color:green"></i></span>	Up-Sell products reminder at checkout</li>

								  <li >	and more...</li>

								 <li> Or if you just like our free plugin, give us a <a target="_blank" rel="noopener noreferrer" href=" https://wordpress.org/support/plugin/food-online-for-woocommerce/reviews?rate=5#new-post"><span id="fdoe_star_rating"><i class="fas fa-star"></i><i class="fas fa-star"></i><i class="fas fa-star"></i><i class="fas fa-star"></i><i class="fas fa-star"></i></span> five star rating</a></li>
                            </ul>
                        </td>
                        <td>
                            <a href="http://www.foodonlineplugin.com" class=" button_premium" ><p style="font-size:1.2em">Upgrade To Premium </p><p>Learn More <i class="fas fa-arrow-right"></i></p></a>
                        </td>
                    </tr>
                </tbody></table>
            </div>
         </div>';
    }
}
            public function save()
            {
                global $current_section;
                $settings = $this->get_settings( $current_section );
                WC_Admin_Settings::save_fields( $settings );
            }
            public function output()
            {
                global $current_section;
                $settings = $this->get_settings( $current_section );
                WC_Admin_Settings::output_fields( $settings );
            }
            public function sanitize_callback( $value, $option, $raw_value )
            {
                global $current_section;
                return $value;
            }
            public function get_settings( $current_section = '' )
            {
                include( plugin_dir_path( __DIR__ ) . 'includes/start-args.php' );
                $settings = apply_filters( 'fdoe_section1_settings', $settings_args );
                return apply_filters( 'woocommerce_get_settings_' . $this->id, $settings, $current_section );
            }
        }
        return new Food_Online_Settings();
    }
    add_filter( 'woocommerce_get_settings_pages', 'Food_Online_Add_Tab', 15 );
}
