<?php
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
// The Plugin Settings
if ( !isset( $settings_args ) ) {
    $settings_args = array(
         array(
             'name' => __( 'User Visibility', Food_Online::TEXT_DOMAIN ),
            'type' => 'title',
            'id' => 'fdoe_visibility'
        ),
        array(
             'name' => __( 'Guests', Food_Online::TEXT_DOMAIN ),
            'id' => 'fdoe_override_guests',
            'type' => 'checkbox',
            'css' => 'min-width:300px;',
            'desc' => __( 'Show the menu to non logged-in users', Food_Online::TEXT_DOMAIN ),
            'default' => 'no'
        ),
         array(
             'name' => __( 'Hide the Cart', Food_Online::TEXT_DOMAIN ),
            'id' => 'fdoe_hide_minicart',
            'type' => 'checkbox',
            'css' => 'min-width:300px;',
            'desc' => __( 'Hide the Cart from Menu page?', Food_Online::TEXT_DOMAIN ),
            'default' => 'no'
        ),
        array(
             'type' => 'sectionend',
            'id' => 'fdoe_visibility'
        ),
        array(
             'name' => __( 'Display Options', Food_Online::TEXT_DOMAIN ),
            'type' => 'title',
            'id' => 'fdoe_display_options'
        ),
        array(
             'name' => __( 'Menu Layout', Food_Online::TEXT_DOMAIN ),
            'id' => 'fdoe_layout',
            'default' => 'fdoe_onecol',
            'type' => 'select',
            'options' => array(
                 'fdoe_onecol' => __( 'One Column', Food_Online::TEXT_DOMAIN ),
                'fdoe_twocols' => __( 'Two Columns', Food_Online::TEXT_DOMAIN )

            ),
            'css' => 'max-width:200px;',
            'desc' => __( 'Display the Menu items in one or two columns?', Food_Online::TEXT_DOMAIN )
        ),
        array(
             'name' => __( 'Menu Color', Food_Online::TEXT_DOMAIN ),
            'id' => 'fdoe_color',
            'type' => 'text',
            'class' => 'fdoe-color-picker',
            'default' => '#bf5bb6'
        ),
        array(
                             'name' => __( 'Menu Items Separator', Food_Online::TEXT_DOMAIN ),
                            'id' => 'fdoe_item_separator',
                            'default' => 'dashed',

                            'type' => 'select',
                            'options' => array(
                                                'dashed' => __( 'Dashed', Food_Online::TEXT_DOMAIN ),
                                                'solid' => __( 'Solid', Food_Online::TEXT_DOMAIN ),
                                                 'dotted' => __( 'Dotted', Food_Online::TEXT_DOMAIN ),
                                                 'hidden' => __( 'None', Food_Online::TEXT_DOMAIN )

                                                 ),
                             'css' => 'max-width:200px;',
                            'desc' => __( 'Style of the Menu items separator?', Food_Online::TEXT_DOMAIN )
                        ),
         array(
                             'name' => __( 'Menu Titles Icon', Food_Online::TEXT_DOMAIN ),
                            'id' => 'fdoe_menu_titles_icon',
                            'default' => 'fas fa-ellipsis-h',
                            'class' => 'fdoe-icon-picker',
                            'type' => 'select',
                            'options' => array(
                                                'fas fa-ellipsis-h' => __( 'Dots', Food_Online::TEXT_DOMAIN ),
                                                'fas fa-minus' => __( 'Lines', Food_Online::TEXT_DOMAIN ),
                                                 'fas fa-seedling' => __( 'Leef', Food_Online::TEXT_DOMAIN ),
                                                 'fas fa-genderless' => __( 'Ring', Food_Online::TEXT_DOMAIN ),
                                                '' => __( 'None', Food_Online::TEXT_DOMAIN )
                                                 ),
                             'css' => 'max-width:200px;',
                            'desc' => __( 'Icon to display with the menu titles?', Food_Online::TEXT_DOMAIN )
                        ),
                    array(
                             'name' => __( 'Menu Item Icon', Food_Online::TEXT_DOMAIN ),
                            'id' => 'fdoe_item_icon',
                            'default' => 'fas fa-plus-circle',
                            'class' => 'b2b-icon-picker',
                            'type' => 'select',
                            'options' => array(
                                                'fas fa-plus-circle' => __( 'Standard', Food_Online::TEXT_DOMAIN ),
                                                 'fas fa-plus' => __( 'Plus', Food_Online::TEXT_DOMAIN ),
                                                'fas fa-plus-square' => __( 'Square Shape Plus', Food_Online::TEXT_DOMAIN ),
                                                 'fas fa-seedling' => __( 'Leef', Food_Online::TEXT_DOMAIN ),
                                                 'fas fa-shopping-basket' => __( 'Shopping Basket', Food_Online::TEXT_DOMAIN ),
                                                  'fas fa-shopping-cart' => __( 'Shopping Cart', Food_Online::TEXT_DOMAIN ),
                                                  'fas fa-cart-plus' => __( 'Shopping Cart with plus', Food_Online::TEXT_DOMAIN ),
                                                  'fas fa-utensils' => __( 'Knife & Fork', Food_Online::TEXT_DOMAIN ),
                                                '' => __( 'None', Food_Online::TEXT_DOMAIN )
                                                 ),
                             'css' => 'max-width:200px;',
                            'desc' => __( 'Item "Add" icon in the Menu?', Food_Online::TEXT_DOMAIN )
                        ),
        array(
             'name' => __( 'Menu Item Image', Food_Online::TEXT_DOMAIN ),
            'id' => 'fdoe_show_images',
            'default' => 'rec',
            'type' => 'select',
            'options' => array(
                  'small' => __( 'Small size', Food_Online::TEXT_DOMAIN ),
                 'rec' => __( 'Normal Size', Food_Online::TEXT_DOMAIN ),
                'big' => __( 'Big size', Food_Online::TEXT_DOMAIN ),
                'hide' => __( 'Hide images', Food_Online::TEXT_DOMAIN )
            ),
            'css' => 'max-width:200px;',
            'desc' => __( 'Choose how to show images for products in menu?', Food_Online::TEXT_DOMAIN )
        ),
        array(
             'type' => 'sectionend',
            'id' => 'fdoe_display_options'
        ),
         array(
             'name' => __( 'Product Popup Options', Food_Online::TEXT_DOMAIN ),
            'type' => 'title',
            'id' => 'fdoe_popup_options'
        ),
         array(
             'name' => __( 'Images?', Food_Online::TEXT_DOMAIN ),
            'id' => 'fdoe_popup_image',
            'type' => 'checkbox',
            'css' => 'min-width:300px;',
            'desc' => __( 'Show product image in popup', Food_Online::TEXT_DOMAIN ),
            'default' => 'no'
        ),
         array(
             'name' => __( 'Product meta?', Food_Online::TEXT_DOMAIN ),
            'id' => 'fdoe_popup_meta',
            'type' => 'checkbox',
            'css' => 'min-width:300px;',
            'desc' => __( 'Show product meta information in popup', Food_Online::TEXT_DOMAIN ),
            'default' => 'no'
        ),
          array(
             'type' => 'sectionend',
            'id' => 'fdoe_popup_options'
        ),
          array(
             'name' => __( 'Advanced Settings', Food_Online::TEXT_DOMAIN ),
            'type' => 'title',
            'id' => 'fdoe_advanced'
        ),
        array(
             'name' => __( 'Disable Bootstrap Frontend', Food_Online::TEXT_DOMAIN ),
            'id' => 'fdoe_disable_bootstrap',
            'type' => 'checkbox',
            'css' => 'min-width:300px;',
            'desc' => __( 'Disable plugin from loading Bootstrap frontend', Food_Online::TEXT_DOMAIN ),
            'default' => 'no'
        ),
        array(
             'type' => 'sectionend',
            'id' => 'fdoe_advanced'
        )
    );
}
